---
layout: table_wrappers
---

<!DOCTYPE html>

<html lang="{{ site.lang | default: 'en-US' }}">
{% include head.html %}
<body>
    <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
        <symbol id="svg-link" viewBox="0 0 24 24">
            <title>Link</title>
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link">
                <path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path>
                <path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path>
            </svg>
        </symbol>
        <symbol id="svg-search" viewBox="0 0 24 24">
            <title>Search</title>
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search">
                <circle cx="11" cy="11" r="8"></circle>
                <line x1="21" y1="21" x2="16.65" y2="16.65"></line>
            </svg>
        </symbol>
        <symbol id="svg-menu" viewBox="0 0 24 24">
            <title>Menu</title>
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu">
                <line x1="3" y1="12" x2="21" y2="12"></line>
                <line x1="3" y1="6" x2="21" y2="6"></line>
                <line x1="3" y1="18" x2="21" y2="18"></line>
            </svg>
        </symbol>
        <symbol id="svg-arrow-right" viewBox="0 0 24 24">
            <title>Expand</title>
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
                <polyline points="9 18 15 12 9 6"></polyline>
            </svg>
        </symbol>
        <symbol id="svg-doc" viewBox="0 0 24 24">
            <title>Document</title>
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file">
                <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2

              2a2 2 0 0 0 2-2V9z"></path>
                <polyline points="13 2 13 9 20 9"></polyline>
            </svg>
        </symbol>
    </svg>

    <div class="side-bar">
        <div class="site-header">
            <a href="{{ '/' | absolute_url }}" class="site-title lh-tight">{% include title.html %}</a>
            <a href="#" id="menu-button" class="site-button">
                <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-menu"></use></svg>
            </a>
        </div>
        <nav role="navigation" aria-label="Main" id="site-nav" class="site-nav">
            {% include nav/main.html %}
        </nav>
        <!--     <footer class="site-footer">
              This site uses <a href="https://github.com/pmarsceill/just-the-docs">Just the Docs</a>, a documentation theme for Jekyll.
            </footer> -->
    </div>
    <div class="pb"></div>
    <div class="main" id="top">
        <div id="main-header" class="main-header">
            {% if site.search_enabled != false %}
            <div class="search">
                <div class="search-input-wrap">
                    <input type="text" id="search-input" class="search-input" tabindex="0" placeholder="Search {{ site.title }}" aria-label="Search {{ site.title }}" autocomplete="off">
                    <label for="search-input" class="search-label"><svg viewBox="0 0 24 24" class="search-icon"><use xlink:href="#svg-search"></use></svg></label>
                </div>
                <div id="search-results" class="search-results"></div>
            </div>
            {% endif %}
            {% include header_custom.html %}
            {% if site.aux_links %}
            <nav aria-label="Auxiliary" class="aux-nav">
                <ul class="aux-nav-list">
                    {% for link in site.aux_links %}
                    <li class="aux-nav-list-item">
                        <a href="{{ link.last }}" class="site-button"  {%- if link.first == "Store" -%} style="background-color: #3E885B; color:white; border: 1px solid white; font-weight: 700;"{% endif %}
                           {% if site.aux_links_new_tab %}
                           target="_blank" rel="noopener noreferrer"
                           {% endif %}>
                            {{ link.first }}
                        </a>
                    </li>
                    {% endfor %}
                </ul>
            </nav>
            {% endif %}
        </div>
        <div id="main-content-wrap" class="main-content-wrap">

            {% if page.parent and page.url != "/" %}
            {% include nav/crumbs.html nodes=nav_page_ancestors %}
            {% endif %}

            <div id="main-content" class="main-content" role="main">
                {% if site.heading_anchors != false %}
                {% include vendor/anchor_headings.html html=content beforeHeading="true" anchorBody="<svg viewBox=\"0 0 16 16\" aria-hidden=\"true\"><use xlink:href=\"#svg-link\"></use></svg>" anchorClass="anchor-heading" anchorAttrs="aria-labelledby=\"%html_id%\"" %}
                <h1> ModalAI Technical Documentation</h1>
                <p>
                   Welcome to ModalAI's technical documentation. ModalAI's goal is to have a complete, fully documented, development environment for using its products for autonomous aerial and ground vehicles.
                </p>
		<h2>
			Where Do I Start?
		</h2>
                <p>
		If you have a new ModalAI device and want to get started, we <strong>strongly recommend</strong> you complete the <a href="/voxl-developer-bootcamp/">VOXL Developer Bootcamp</a>. In it you'll take your device from unboxing to comprehensive usage while also learning valuable portions of the VOXL ecosystem.
                </p>
                <p>
		If you're already familiar with your device and want to dig deeper into the onboard software or into developing your own applications, check out the <a href="/voxl-sdk/">VOXL SDK</a> section of the documentation. If you're looking for a description of a SDK version older than the current one, check out the <a href="/previous-sdks/">Previous SDKs</a> page.
                </p>
                <p>
		If you instead need to go deeper into the hardware of a specific VOXL system, see the <a href="/voxl-computers/">VOXL Autopilot & Compute section</a> for detailed user guides datasheets.
                </p>
		<h2>
            <i class="fab fa-gitlab fa-2xl" style="color: #e66100;"></i>
			Code
		</h2>
                <p>
        One of the most critical resources for a developer is the VOXL codebase on <a href="https://gitlab.com/voxl-public">GitLab</a>! 
                </p>
                <p>
        In addition, if you're having issues with a specific piece of code or have a feature request, we strongly encourage you to open an issue in the corresponding repository.
                </p>
		<h2>
			Getting Help
		</h2>
                <p>
		If you have a question, feel free to ask us on our <a href="https://forum.modalai.com">forum</a>, and we'll get to your request as soon as possible.
                </p>

                 <!-- <hr /> -->
                 
                {% else %}

                {% endif %}

                {% unless page.has_toc == false %}
                {% include nav/toc3.html nodes=nav_page_children %}
                {% endunless %}


                {% capture footer_custom %}
                {%- include footer_custom.html -%}
                {% endcapture %}
                {% if footer_custom != "" or site.last_edit_timestamp or site.gh_edit_link %}
                <hr>
                <footer>
                    {% if site.back_to_top %}
                    <p><a href="#top" id="back-to-top">{{ site.back_to_top_text }}</a></p>
                    {% endif %}

                    {{ footer_custom }}

                    {% if site.last_edit_timestamp or site.gh_edit_link %}
                    <div class="d-flex mt-2">
                        {% if site.last_edit_timestamp and site.last_edit_time_format and page.last_modified_date %}
                        <p class="text-small text-grey-dk-000 mb-0 mr-2">
                            Page last modified: <span class="d-inline-block">{{ page.last_modified_date | date: site.last_edit_time_format }}</span>.
                        </p>
                        {% endif %}
                        {% if
                        site.gh_edit_link and
                        site.gh_edit_link_text and
                        site.gh_edit_repository and
                        site.gh_edit_branch and
                        site.gh_edit_view_mode
                        %}
                        <p class="text-small text-grey-dk-000 mb-0">
                            <a href="{{ site.gh_edit_repository }}/{{ site.gh_edit_view_mode }}/{{ site.gh_edit_branch }}{% if site.gh_edit_source %}/{{ site.gh_edit_source }}{% endif %}/{{ page.path }}" id="edit-this-page">{{ site.gh_edit_link_text }}</a>
                        </p>
                        {% endif %}
                    </div>
                    {% endif %}
                </footer>
                {% endif %}

                {% if site.footer_content != nil %}
                <hr>
                <footer role="contentinfo">
                </footer>
                {% endif %}


            </div>
        </div>

        {% if site.search_enabled != false %}
        {% if site.search.button %}
        <a href="#" id="search-button" class="search-button">
            <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-search"></use></svg>
        </a>
        {% endif %}

        <div class="search-overlay"></div>
        {% endif %}
    </div>


    <style>


        .container {
            margin: 0 auto;
            max-width: 100%;
            width: 70em;
        }

        @media screen and (max-width: 1680px) {

            .container {
                width: 70em;
            }
        }

        @media screen and (max-width: 1280px) {

            .container {
                width: calc(100% - 60px);
            }
        }

        @media screen and (max-width: 980px) {

            .container {
                width: calc(100% - 80px);
            }
        }

        @media screen and (max-width: 736px) {

            .container {
                width: calc(100% - 40px);
            }
        }

        /* Row */

        .row {
            display: flex;
            flex-wrap: wrap;
            box-sizing: border-box;
            align-items: stretch;
        }

            .row > * {
                box-sizing: border-box;
            }

            .row.gtr-uniform > * > :last-child {
                margin-bottom: 0;
            }

            .row.aln-left {
                justify-content: flex-start;
            }

            .row.aln-center {
                justify-content: center;
            }

            .row.aln-right {
                justify-content: flex-end;
            }

            .row.aln-top {
                align-items: flex-start;
            }

            .row.aln-middle {
                align-items: center;
            }

            .row.aln-bottom {
                align-items: flex-end;
            }

            .row > .imp {
                order: -1;
            }

            .row > .col-1 {
                width: 8.33333%;
            }

            .row > .off-1 {
                margin-left: 8.33333%;
            }

            .row > .col-2 {
                width: 16.66667%;
            }

            .row > .off-2 {
                margin-left: 16.66667%;
            }

            .row > .col-3 {
                width: 25%;
            }

            .row > .off-3 {
                margin-left: 25%;
            }

            .row > .col-4 {
                width: 33.33333%;
            }

            .row > .off-4 {
                margin-left: 33.33333%;
            }

            .row > .col-5 {
                width: 41.66667%;
            }

            .row > .off-5 {
                margin-left: 41.66667%;
            }

            .row > .col-6 {
                width: 50%;
            }

            .row > .off-6 {
                margin-left: 50%;
            }

            .row > .col-7 {
                width: 58.33333%;
            }

            .row > .off-7 {
                margin-left: 58.33333%;
            }

            .row > .col-8 {
                width: 66.66667%;
            }

            .row > .off-8 {
                margin-left: 66.66667%;
            }

            .row > .col-9 {
                width: 75%;
            }

            .row > .off-9 {
                margin-left: 75%;
            }

            .row > .col-10 {
                width: 83.33333%;
            }

            .row > .off-10 {
                margin-left: 83.33333%;
            }

            .row > .col-11 {
                width: 91.66667%;
            }

            .row > .off-11 {
                margin-left: 91.66667%;
            }

            .row > .col-12 {
                width: 100%;
            }

            .row > .off-12 {
                margin-left: 100%;
            }

            .row.gtr-0 {
                margin-top: 0px;
                margin-left: 0px;
            }

                .row.gtr-0 > * {
                    padding: 0px 0 0 0px;
                }

                .row.gtr-0.gtr-uniform {
                    margin-top: 0px;
                }

                    .row.gtr-0.gtr-uniform > * {
                        padding-top: 0px;
                    }

            .row.gtr-25 {
                margin-top: -12.5px;
                margin-left: -12.5px;
            }

                .row.gtr-25 > * {
                    padding: 12.5px 0 0 12.5px;
                }

                .row.gtr-25.gtr-uniform {
                    margin-top: -12.5px;
                }

                    .row.gtr-25.gtr-uniform > * {
                        padding-top: 12.5px;
                    }

            .row.gtr-50 {
                margin-top: -25px;
                margin-left: -25px;
            }

                .row.gtr-50 > * {
                    padding: 25px 0 0 25px;
                }

                .row.gtr-50.gtr-uniform {
                    margin-top: -25px;
                }

                    .row.gtr-50.gtr-uniform > * {
                        padding-top: 25px;
                    }

        .row {
            margin-top: -50px;
            margin-left: -50px;
        }

            .row > * {
                padding: 50px 0 0 50px;
            }

            .row.gtr-uniform {
                margin-top: -50px;
            }

                .row.gtr-uniform > * {
                    padding-top: 50px;
                }

            .row.gtr-150 {
                margin-top: -75px;
                margin-left: -75px;
            }

                .row.gtr-150 > * {
                    padding: 75px 0 0 75px;
                }

                .row.gtr-150.gtr-uniform {
                    margin-top: -75px;
                }

                    .row.gtr-150.gtr-uniform > * {
                        padding-top: 75px;
                    }

            .row.gtr-200 {
                margin-top: -100px;
                margin-left: -100px;
            }

                .row.gtr-200 > * {
                    padding: 100px 0 0 100px;
                }

                .row.gtr-200.gtr-uniform {
                    margin-top: -100px;
                }

                    .row.gtr-200.gtr-uniform > * {
                        padding-top: 100px;
                    }

        @media screen and (max-width: 1680px) {

            .row {
                display: flex;
                flex-wrap: wrap;
                box-sizing: border-box;
                align-items: stretch;
            }

                .row > * {
                    box-sizing: border-box;
                }

                .row.gtr-uniform > * > :last-child {
                    margin-bottom: 0;
                }

                .row.aln-left {
                    justify-content: flex-start;
                }

                .row.aln-center {
                    justify-content: center;
                }

                .row.aln-right {
                    justify-content: flex-end;
                }

                .row.aln-top {
                    align-items: flex-start;
                }

                .row.aln-middle {
                    align-items: center;
                }

                .row.aln-bottom {
                    align-items: flex-end;
                }

                .row > .imp-xlarge {
                    order: -1;
                }

                .row > .col-1-xlarge {
                    width: 8.33333%;
                }

                .row > .off-1-xlarge {
                    margin-left: 8.33333%;
                }

                .row > .col-2-xlarge {
                    width: 16.66667%;
                }

                .row > .off-2-xlarge {
                    margin-left: 16.66667%;
                }

                .row > .col-3-xlarge {
                    width: 25%;
                }

                .row > .off-3-xlarge {
                    margin-left: 25%;
                }

                .row > .col-4-xlarge {
                    width: 33.33333%;
                }

                .row > .off-4-xlarge {
                    margin-left: 33.33333%;
                }

                .row > .col-5-xlarge {
                    width: 41.66667%;
                }

                .row > .off-5-xlarge {
                    margin-left: 41.66667%;
                }

                .row > .col-6-xlarge {
                    width: 50%;
                }

                .row > .off-6-xlarge {
                    margin-left: 50%;
                }

                .row > .col-7-xlarge {
                    width: 58.33333%;
                }

                .row > .off-7-xlarge {
                    margin-left: 58.33333%;
                }

                .row > .col-8-xlarge {
                    width: 66.66667%;
                }

                .row > .off-8-xlarge {
                    margin-left: 66.66667%;
                }

                .row > .col-9-xlarge {
                    width: 75%;
                }

                .row > .off-9-xlarge {
                    margin-left: 75%;
                }

                .row > .col-10-xlarge {
                    width: 83.33333%;
                }

                .row > .off-10-xlarge {
                    margin-left: 83.33333%;
                }

                .row > .col-11-xlarge {
                    width: 91.66667%;
                }

                .row > .off-11-xlarge {
                    margin-left: 91.66667%;
                }

                .row > .col-12-xlarge {
                    width: 100%;
                }

                .row > .off-12-xlarge {
                    margin-left: 100%;
                }

                .row.gtr-0 {
                    margin-top: 0px;
                    margin-left: 0px;
                }

                    .row.gtr-0 > * {
                        padding: 0px 0 0 0px;
                    }

                    .row.gtr-0.gtr-uniform {
                        margin-top: 0px;
                    }

                        .row.gtr-0.gtr-uniform > * {
                            padding-top: 0px;
                        }

                .row.gtr-25 {
                    margin-top: -12.5px;
                    margin-left: -12.5px;
                }

                    .row.gtr-25 > * {
                        padding: 12.5px 0 0 12.5px;
                    }

                    .row.gtr-25.gtr-uniform {
                        margin-top: -12.5px;
                    }

                        .row.gtr-25.gtr-uniform > * {
                            padding-top: 12.5px;
                        }

                .row.gtr-50 {
                    margin-top: -25px;
                    margin-left: -25px;
                }

                    .row.gtr-50 > * {
                        padding: 25px 0 0 25px;
                    }

                    .row.gtr-50.gtr-uniform {
                        margin-top: -25px;
                    }

                        .row.gtr-50.gtr-uniform > * {
                            padding-top: 25px;
                        }

            .row {
                margin-top: -50px;
                margin-left: -50px;
            }

                .row > * {
                    padding: 50px 0 0 50px;
                }

                .row.gtr-uniform {
                    margin-top: -50px;
                }

                    .row.gtr-uniform > * {
                        padding-top: 50px;
                    }

                .row.gtr-150 {
                    margin-top: -75px;
                    margin-left: -75px;
                }

                    .row.gtr-150 > * {
                        padding: 75px 0 0 75px;
                    }

                    .row.gtr-150.gtr-uniform {
                        margin-top: -75px;
                    }

                        .row.gtr-150.gtr-uniform > * {
                            padding-top: 75px;
                        }

                .row.gtr-200 {
                    margin-top: -100px;
                    margin-left: -100px;
                }

                    .row.gtr-200 > * {
                        padding: 100px 0 0 100px;
                    }

                    .row.gtr-200.gtr-uniform {
                        margin-top: -100px;
                    }

                        .row.gtr-200.gtr-uniform > * {
                            padding-top: 100px;
                        }
        }

        @media screen and (max-width: 1280px) {

            .row {
                display: flex;
                flex-wrap: wrap;
                box-sizing: border-box;
                align-items: stretch;
            }

                .row > * {
                    box-sizing: border-box;
                }

                .row.gtr-uniform > * > :last-child {
                    margin-bottom: 0;
                }

                .row.aln-left {
                    justify-content: flex-start;
                }

                .row.aln-center {
                    justify-content: center;
                }

                .row.aln-right {
                    justify-content: flex-end;
                }

                .row.aln-top {
                    align-items: flex-start;
                }

                .row.aln-middle {
                    align-items: center;
                }

                .row.aln-bottom {
                    align-items: flex-end;
                }

                .row > .imp-large {
                    order: -1;
                }

                .row > .col-1-large {
                    width: 8.33333%;
                }

                .row > .off-1-large {
                    margin-left: 8.33333%;
                }

                .row > .col-2-large {
                    width: 16.66667%;
                }

                .row > .off-2-large {
                    margin-left: 16.66667%;
                }

                .row > .col-3-large {
                    width: 25%;
                }

                .row > .off-3-large {
                    margin-left: 25%;
                }

                .row > .col-4-large {
                    width: 33.33333%;
                }

                .row > .off-4-large {
                    margin-left: 33.33333%;
                }

                .row > .col-5-large {
                    width: 41.66667%;
                }

                .row > .off-5-large {
                    margin-left: 41.66667%;
                }

                .row > .col-6-large {
                    width: 50%;
                }

                .row > .off-6-large {
                    margin-left: 50%;
                }

                .row > .col-7-large {
                    width: 58.33333%;
                }

                .row > .off-7-large {
                    margin-left: 58.33333%;
                }

                .row > .col-8-large {
                    width: 66.66667%;
                }

                .row > .off-8-large {
                    margin-left: 66.66667%;
                }

                .row > .col-9-large {
                    width: 75%;
                }

                .row > .off-9-large {
                    margin-left: 75%;
                }

                .row > .col-10-large {
                    width: 83.33333%;
                }

                .row > .off-10-large {
                    margin-left: 83.33333%;
                }

                .row > .col-11-large {
                    width: 91.66667%;
                }

                .row > .off-11-large {
                    margin-left: 91.66667%;
                }

                .row > .col-12-large {
                    width: 100%;
                }

                .row > .off-12-large {
                    margin-left: 100%;
                }

                .row.gtr-0 {
                    margin-top: 0px;
                    margin-left: 0px;
                }

                    .row.gtr-0 > * {
                        padding: 0px 0 0 0px;
                    }

                    .row.gtr-0.gtr-uniform {
                        margin-top: 0px;
                    }

                        .row.gtr-0.gtr-uniform > * {
                            padding-top: 0px;
                        }

                .row.gtr-25 {
                    margin-top: -7.5px;
                    margin-left: -7.5px;
                }

                    .row.gtr-25 > * {
                        padding: 7.5px 0 0 7.5px;
                    }

                    .row.gtr-25.gtr-uniform {
                        margin-top: -7.5px;
                    }

                        .row.gtr-25.gtr-uniform > * {
                            padding-top: 7.5px;
                        }

                .row.gtr-50 {
                    margin-top: -15px;
                    margin-left: -15px;
                }

                    .row.gtr-50 > * {
                        padding: 15px 0 0 15px;
                    }

                    .row.gtr-50.gtr-uniform {
                        margin-top: -15px;
                    }

                        .row.gtr-50.gtr-uniform > * {
                            padding-top: 15px;
                        }

            .row {
                margin-top: -30px;
                margin-left: -30px;
            }

                .row > * {
                    padding: 30px 0 0 30px;
                }

                .row.gtr-uniform {
                    margin-top: -30px;
                }

                    .row.gtr-uniform > * {
                        padding-top: 30px;
                    }

                .row.gtr-150 {
                    margin-top: -45px;
                    margin-left: -45px;
                }

                    .row.gtr-150 > * {
                        padding: 45px 0 0 45px;
                    }

                    .row.gtr-150.gtr-uniform {
                        margin-top: -45px;
                    }

                        .row.gtr-150.gtr-uniform > * {
                            padding-top: 45px;
                        }

                .row.gtr-200 {
                    margin-top: -60px;
                    margin-left: -60px;
                }

                    .row.gtr-200 > * {
                        padding: 60px 0 0 60px;
                    }

                    .row.gtr-200.gtr-uniform {
                        margin-top: -60px;
                    }

                        .row.gtr-200.gtr-uniform > * {
                            padding-top: 60px;
                        }
        }

        @media screen and (max-width: 980px) {

            .row {
                display: flex;
                flex-wrap: wrap;
                box-sizing: border-box;
                align-items: stretch;
            }

                .row > * {
                    box-sizing: border-box;
                }

                .row.gtr-uniform > * > :last-child {
                    margin-bottom: 0;
                }

                .row.aln-left {
                    justify-content: flex-start;
                }

                .row.aln-center {
                    justify-content: center;
                }

                .row.aln-right {
                    justify-content: flex-end;
                }

                .row.aln-top {
                    align-items: flex-start;
                }

                .row.aln-middle {
                    align-items: center;
                }

                .row.aln-bottom {
                    align-items: flex-end;
                }

                .row > .imp-medium {
                    order: -1;
                }

                .row > .col-1-medium {
                    width: 8.33333%;
                }

                .row > .off-1-medium {
                    margin-left: 8.33333%;
                }

                .row > .col-2-medium {
                    width: 16.66667%;
                }

                .row > .off-2-medium {
                    margin-left: 16.66667%;
                }

                .row > .col-3-medium {
                    width: 25%;
                }

                .row > .off-3-medium {
                    margin-left: 25%;
                }

                .row > .col-4-medium {
                    width: 33.33333%;
                }

                .row > .off-4-medium {
                    margin-left: 33.33333%;
                }

                .row > .col-5-medium {
                    width: 41.66667%;
                }

                .row > .off-5-medium {
                    margin-left: 41.66667%;
                }

                .row > .col-6-medium {
                    width: 50%;
                }

                .row > .off-6-medium {
                    margin-left: 50%;
                }

                .row > .col-7-medium {
                    width: 58.33333%;
                }

                .row > .off-7-medium {
                    margin-left: 58.33333%;
                }

                .row > .col-8-medium {
                    width: 66.66667%;
                }

                .row > .off-8-medium {
                    margin-left: 66.66667%;
                }

                .row > .col-9-medium {
                    width: 75%;
                }

                .row > .off-9-medium {
                    margin-left: 75%;
                }

                .row > .col-10-medium {
                    width: 83.33333%;
                }

                .row > .off-10-medium {
                    margin-left: 83.33333%;
                }

                .row > .col-11-medium {
                    width: 91.66667%;
                }

                .row > .off-11-medium {
                    margin-left: 91.66667%;
                }

                .row > .col-12-medium {
                    width: 100%;
                }

                .row > .off-12-medium {
                    margin-left: 100%;
                }

                .row.gtr-0 {
                    margin-top: 0px;
                    margin-left: 0px;
                }

                    .row.gtr-0 > * {
                        padding: 0px 0 0 0px;
                    }

                    .row.gtr-0.gtr-uniform {
                        margin-top: 0px;
                    }

                        .row.gtr-0.gtr-uniform > * {
                            padding-top: 0px;
                        }

                .row.gtr-25 {
                    margin-top: -10px;
                    margin-left: -10px;
                }

                    .row.gtr-25 > * {
                        padding: 10px 0 0 10px;
                    }

                    .row.gtr-25.gtr-uniform {
                        margin-top: -10px;
                    }

                        .row.gtr-25.gtr-uniform > * {
                            padding-top: 10px;
                        }

                .row.gtr-50 {
                    margin-top: -20px;
                    margin-left: -20px;
                }

                    .row.gtr-50 > * {
                        padding: 20px 0 0 20px;
                    }

                    .row.gtr-50.gtr-uniform {
                        margin-top: -20px;
                    }

                        .row.gtr-50.gtr-uniform > * {
                            padding-top: 20px;
                        }

            .row {
                margin-top: -40px;
                margin-left: -40px;
            }

                .row > * {
                    padding: 40px 0 0 40px;
                }

                .row.gtr-uniform {
                    margin-top: -40px;
                }

                    .row.gtr-uniform > * {
                        padding-top: 40px;
                    }

                .row.gtr-150 {
                    margin-top: -60px;
                    margin-left: -60px;
                }

                    .row.gtr-150 > * {
                        padding: 60px 0 0 60px;
                    }

                    .row.gtr-150.gtr-uniform {
                        margin-top: -60px;
                    }

                        .row.gtr-150.gtr-uniform > * {
                            padding-top: 60px;
                        }

                .row.gtr-200 {
                    margin-top: -80px;
                    margin-left: -80px;
                }

                    .row.gtr-200 > * {
                        padding: 80px 0 0 80px;
                    }

                    .row.gtr-200.gtr-uniform {
                        margin-top: -80px;
                    }

                        .row.gtr-200.gtr-uniform > * {
                            padding-top: 80px;
                        }
        }

        @media screen and (max-width: 736px) {

            .row {
                display: flex;
                flex-wrap: wrap;
                box-sizing: border-box;
                align-items: stretch;
            }

                .row > * {
                    box-sizing: border-box;
                }

                .row.gtr-uniform > * > :last-child {
                    margin-bottom: 0;
                }

                .row.aln-left {
                    justify-content: flex-start;
                }

                .row.aln-center {
                    justify-content: center;
                }

                .row.aln-right {
                    justify-content: flex-end;
                }

                .row.aln-top {
                    align-items: flex-start;
                }

                .row.aln-middle {
                    align-items: center;
                }

                .row.aln-bottom {
                    align-items: flex-end;
                }

                .row > .imp-small {
                    order: -1;
                }

                .row > .col-1-small {
                    width: 8.33333%;
                }

                .row > .off-1-small {
                    margin-left: 8.33333%;
                }

                .row > .col-2-small {
                    width: 16.66667%;
                }

                .row > .off-2-small {
                    margin-left: 16.66667%;
                }

                .row > .col-3-small {
                    width: 25%;
                }

                .row > .off-3-small {
                    margin-left: 25%;
                }

                .row > .col-4-small {
                    width: 33.33333%;
                }

                .row > .off-4-small {
                    margin-left: 33.33333%;
                }

                .row > .col-5-small {
                    width: 41.66667%;
                }

                .row > .off-5-small {
                    margin-left: 41.66667%;
                }

                .row > .col-6-small {
                    width: 50%;
                }

                .row > .off-6-small {
                    margin-left: 50%;
                }

                .row > .col-7-small {
                    width: 58.33333%;
                }

                .row > .off-7-small {
                    margin-left: 58.33333%;
                }

                .row > .col-8-small {
                    width: 66.66667%;
                }

                .row > .off-8-small {
                    margin-left: 66.66667%;
                }

                .row > .col-9-small {
                    width: 75%;
                }

                .row > .off-9-small {
                    margin-left: 75%;
                }

                .row > .col-10-small {
                    width: 83.33333%;
                }

                .row > .off-10-small {
                    margin-left: 83.33333%;
                }

                .row > .col-11-small {
                    width: 91.66667%;
                }

                .row > .off-11-small {
                    margin-left: 91.66667%;
                }

                .row > .col-12-small {
                    width: 100%;
                }

                .row > .off-12-small {
                    margin-left: 100%;
                }

                .row.gtr-0 {
                    margin-top: 0px;
                    margin-left: 0px;
                }

                    .row.gtr-0 > * {
                        padding: 0px 0 0 0px;
                    }

                    .row.gtr-0.gtr-uniform {
                        margin-top: 0px;
                    }

                        .row.gtr-0.gtr-uniform > * {
                            padding-top: 0px;
                        }

                .row.gtr-25 {
                    margin-top: -5px;
                    margin-left: -5px;
                }

                    .row.gtr-25 > * {
                        padding: 5px 0 0 5px;
                    }

                    .row.gtr-25.gtr-uniform {
                        margin-top: -5px;
                    }

                        .row.gtr-25.gtr-uniform > * {
                            padding-top: 5px;
                        }

                .row.gtr-50 {
                    margin-top: -10px;
                    margin-left: -10px;
                }

                    .row.gtr-50 > * {
                        padding: 10px 0 0 10px;
                    }

                    .row.gtr-50.gtr-uniform {
                        margin-top: -10px;
                    }

                        .row.gtr-50.gtr-uniform > * {
                            padding-top: 10px;
                        }

            .row {
                margin-top: -20px;
                margin-left: -20px;
            }

                .row > * {
                    padding: 20px 0 0 20px;
                }

                .row.gtr-uniform {
                    margin-top: -20px;
                }

                    .row.gtr-uniform > * {
                        padding-top: 20px;
                    }

                .row.gtr-150 {
                    margin-top: -30px;
                    margin-left: -30px;
                }

                    .row.gtr-150 > * {
                        padding: 30px 0 0 30px;
                    }

                    .row.gtr-150.gtr-uniform {
                        margin-top: -30px;
                    }

                        .row.gtr-150.gtr-uniform > * {
                            padding-top: 30px;
                        }

                .row.gtr-200 {
                    margin-top: -40px;
                    margin-left: -40px;
                }

                    .row.gtr-200 > * {
                        padding: 40px 0 0 40px;
                    }

                    .row.gtr-200.gtr-uniform {
                        margin-top: -40px;
                    }

                        .row.gtr-200.gtr-uniform > * {
                            padding-top: 40px;
                        }
        }

        /* Form */

        form label {
            display: block;
            color: #252122;
            font-weight: 400;
            margin: 0 0 0.5em 0;
        }

        form input[type=text],
        form input[type=email],
        form input[type=password],
        form select,
        form textarea {
            -webkit-appearance: none;
            display: block;
            border: 0;
            padding: 0.75em 1em;
            font-size: 1em;
            border-radius: 5px;
            border: solid 1px #dddddd;
            background: #fff;
            width: 100%;
        }

            form input[type=text]:focus,
            form input[type=email]:focus,
            form input[type=password]:focus,
            form select:focus,
            form textarea:focus {
                box-shadow: inset 0px 0px 1px 1px #43bff0;
            }

        form textarea {
            height: 15em;
        }

        form ::-webkit-input-placeholder {
            color: #555 !important;
        }

        form :-moz-placeholder {
            color: #555 !important;
        }

        form ::-moz-placeholder {
            color: #555 !important;
        }

        form :-ms-input-placeholder {
            color: #555 !important;
        }

        form ::-moz-focus-inner {
            border: 0;
        }

        /* Tables */

        table {
            width: 100%;
        }

            table tr {
                border-top: solid 1px #dddddd;
            }

                table tr:first-child {
                    border-top: 0;
                }

            table td {
                padding: 0.5em 1em 0.5em 1em;
            }

            table th {
                text-align: left;
                padding: 0.5em 1em 0.5em 1em;
                font-weight: 700;
                margin: 0 0 1em 0;
            }

            table thead {
                border-bottom: solid 2px #dddddd;
            }

       
        /* Box */

        .box {
            background: #ffffff;
            border-bottom: solid 1px #ccc;
            padding: 2.75em 1.75em 2.75em 1.75em;
            margin-bottom: 2em;
        }

            .box .image.featured {
                position: relative;
                width: auto;
                left: 1.75em;
                top: 1.75em;
                margin: -4.5em 0 4.25em -3.5em;
            }

            .box.post header {
                padding-top: 1em;
                margin: 0 0 2em 0;
            }

            .box.post h2 {
                font-size: 2.5em;
                letter-spacing: -0.015em;
            }

            .box.post header > p {
                margin-top: 1.25em;
                font-size: 1.25em;
            }

            .box footer ul.actions {
                margin-bottom: 0;
            }


        .image {
            display: inline-block;
            outline: 0;
        }

            .image img {
                display: block;
                width: 99%;
                margin-left: 1px;
                margin-top: 1px;
            }

            .image.centered {
                display: block;
                margin: 0 0 2em 0;
            }

                .image.centered img {
                    margin: 0 auto;
                    width: auto;
                }

            .image.featured {
                display: block;
                width: 100%;
                margin: 0 0 2em 0;
            }

            .image.left {
                float: left;
                margin: 0 2em 2em 0;
            }

    </style>

</body>
</html>
